<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>ARController.SelectedItemParams (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ARController.SelectedItemParams (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.SelectedItemParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.ProjectionType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.SensorType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.SelectedItemParams.html" target="_top">Frames</a></li>
<li><a href="ARController.SelectedItemParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.ar</div>
<h2 title="Class ARController.SelectedItemParams" class="title">Class ARController.SelectedItemParams</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.ar.ARController.SelectedItemParams</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/ar/ARController.html" title="class in com.here.android.mpa.ar">ARController</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ARController.SelectedItemParams</span>
extends java.lang.Object</pre>
<div class="block">Encapsulates parameters which affect <a href="../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>s which are in the selected or non
 selected states.
 <p>
 An <code>ARObject</code> is selected by way of the <a href="../../../../../com/here/android/mpa/ar/ARController.html#select-com.here.android.mpa.ar.ARObject-"><code>ARController.select(ARObject)</code></a> method.
 When an <code>ARObject</code> is selected, all other <code>ARObject</code>s are considered non
 selected. When no <code>ARObject</code> is selected, <code>ARObject</code>s are neither selected nor
 non selected.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getBoundingBoxAnimationDelay--">getBoundingBoxAnimationDelay</a></span>()</code>
<div class="block">Get delay of selected item bounding box animation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getBoundingBoxAnimationTime--">getBoundingBoxAnimationTime</a></span>()</code>
<div class="block">Get delay of selected item bounding box animation.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getBoundingBoxInterpolator--">getBoundingBoxInterpolator</a></span>()</code>
<div class="block">Get the interpolator for selected object bounding box animation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getMaxViewAngle--">getMaxViewAngle</a></span>()</code>
<div class="block">Get selected item max view angle when the item is on the right or left from line of
 sight.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getNonSelectedItemsOpacity--">getNonSelectedItemsOpacity</a></span>()</code>
<div class="block">Get others icons opacity while one icon is in selected state.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getOpacity--">getOpacity</a></span>()</code>
<div class="block">Get selected item's opacity when icon in camera view is selected.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Size.html" title="class in com.here.android.mpa.common">Size</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getSize--">getSize</a></span>()</code>
<div class="block">Get selected item size.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getSizeAnimationDelay--">getSizeAnimationDelay</a></span>()</code>
<div class="block">Get delay of selected item size animation.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getSizeAnimationTime--">getSizeAnimationTime</a></span>()</code>
<div class="block">Get delay of selected item size animation.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#getSizeInterpolator--">getSizeInterpolator</a></span>()</code>
<div class="block">Get the interpolator for selected object size animation.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setBoundingBox-android.graphics.RectF-">setBoundingBox</a></span>(android.graphics.RectF box)</code>
<div class="block">Set bounding box for a selected item.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setBoundingBoxAnimationDelay-long-">setBoundingBoxAnimationDelay</a></span>(long value)</code>
<div class="block">Set selected item bounding box animation delay.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setBoundingBoxAnimationTime-long-">setBoundingBoxAnimationTime</a></span>(long value)</code>
<div class="block">Set selected item bounding box animation time.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setBoundingBoxInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setBoundingBoxInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for selected object bounding box animation.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setMaxViewAngle-float-">setMaxViewAngle</a></span>(float angleDeg)</code>
<div class="block">Set selected item max view angle when the item is on the right or left from line of
 sight.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setNonSelectedItemsOpacity-float-">setNonSelectedItemsOpacity</a></span>(float value)</code>
<div class="block">Set others icons opacity while one icon is in selected state.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setOpacity-float-">setOpacity</a></span>(float value)</code>
<div class="block">Set selected item's opacity when icon in camera view is selected.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setSize-int-int-">setSize</a></span>(int width,
       int height)</code>
<div class="block">Set selected item size.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setSizeAnimationDelay-long-">setSizeAnimationDelay</a></span>(long value)</code>
<div class="block">Set selected item size animation delay.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setSizeAnimationTime-long-">setSizeAnimationTime</a></span>(long value)</code>
<div class="block">Set selected item size animation time.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html#setSizeInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">setSizeInterpolator</a></span>(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</code>
<div class="block">Set the interpolator for selected object size animation.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setSize-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSize</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setSize(int width,
                                               int height)</pre>
<div class="block">Set selected item size. This size is used when <a href="../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> is in selected state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Maximum width of selected icon in pixels</dd>
<dd><code>height</code> - Maximum height of selected icon in pixels</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/ARController.html#select-com.here.android.mpa.ar.ARObject-"><code>ARController.select(ARObject)</code></a>, 
<a href="../../../../../com/here/android/mpa/ar/ARController.html#unselect--"><code>ARController.unselect()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/Size.html" title="class in com.here.android.mpa.common">Size</a> getSize()</pre>
<div class="block">Get selected item size. This size is used when <a href="../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> is in selected state.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>icon size when selected.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/ARController.html#select-com.here.android.mpa.ar.ARObject-"><code>ARController.select(ARObject)</code></a>, 
<a href="../../../../../com/here/android/mpa/ar/ARController.html#unselect--"><code>ARController.unselect()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBoundingBox-android.graphics.RectF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoundingBox</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setBoundingBox(android.graphics.RectF box)</pre>
<div class="block">Set bounding box for a selected item. All values(left, top, right and bottom) are the
 ratios of the view's height and width. Value of 0 for left an top and 1 for right and
 bottom indicate that there are no boundaries are actually used. Values &gt; 0 and &lt; 1
 are used to set absolute boundaries considerring selected icon half size, so that icon is
 shown on the screen fully.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>box</code> - <code>android.graphics.RectF</code> selected item's bounding box. If <code>null</code>,
            bounding box for the selected item is not used.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="setOpacity-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOpacity</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setOpacity(float value)</pre>
<div class="block">Set selected item's opacity when icon in camera view is selected.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - selected icon opacity.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getOpacity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOpacity</h4>
<pre>public float getOpacity()</pre>
<div class="block">Get selected item's opacity when icon in camera view is selected.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>selected icon opacity.</dd>
</dl>
</li>
</ul>
<a name="setNonSelectedItemsOpacity-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNonSelectedItemsOpacity</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setNonSelectedItemsOpacity(float value)</pre>
<div class="block">Set others icons opacity while one icon is in selected state.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - non-selected icons opacity.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getNonSelectedItemsOpacity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNonSelectedItemsOpacity</h4>
<pre>public float getNonSelectedItemsOpacity()</pre>
<div class="block">Get others icons opacity while one icon is in selected state.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>non-selected icon opacity.</dd>
</dl>
</li>
</ul>
<a name="setSizeInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSizeInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setSizeInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for selected object size animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for selected object size animation.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getSizeInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSizeInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getSizeInterpolator()</pre>
<div class="block">Get the interpolator for selected object size animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setBoundingBoxInterpolator-com.here.android.mpa.ar.AnimationInterpolator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoundingBoxInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setBoundingBoxInterpolator(<a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> value)</pre>
<div class="block">Set the interpolator for selected object bounding box animation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a> for selected object bounding box animation.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getBoundingBoxInterpolator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBoxInterpolator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar">AnimationInterpolator</a> getBoundingBoxInterpolator()</pre>
<div class="block">Get the interpolator for selected object bounding box animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/ar/AnimationInterpolator.html" title="enum in com.here.android.mpa.ar"><code>AnimationInterpolator</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setSizeAnimationDelay-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSizeAnimationDelay</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setSizeAnimationDelay(long value)</pre>
<div class="block">Set selected item size animation delay.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Delay in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getSizeAnimationDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSizeAnimationDelay</h4>
<pre>public long getSizeAnimationDelay()</pre>
<div class="block">Get delay of selected item size animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>delay in ms</dd>
</dl>
</li>
</ul>
<a name="setSizeAnimationTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSizeAnimationTime</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setSizeAnimationTime(long value)</pre>
<div class="block">Set selected item size animation time.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Delay in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getSizeAnimationTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSizeAnimationTime</h4>
<pre>public long getSizeAnimationTime()</pre>
<div class="block">Get delay of selected item size animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>delay in ms</dd>
</dl>
</li>
</ul>
<a name="setBoundingBoxAnimationDelay-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoundingBoxAnimationDelay</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setBoundingBoxAnimationDelay(long value)</pre>
<div class="block">Set selected item bounding box animation delay.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Delay in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getBoundingBoxAnimationDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBoxAnimationDelay</h4>
<pre>public long getBoundingBoxAnimationDelay()</pre>
<div class="block">Get delay of selected item bounding box animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>delay in ms</dd>
</dl>
</li>
</ul>
<a name="setBoundingBoxAnimationTime-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoundingBoxAnimationTime</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setBoundingBoxAnimationTime(long value)</pre>
<div class="block">Set selected item bounding box animation time.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - Delay in ms</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getBoundingBoxAnimationTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoundingBoxAnimationTime</h4>
<pre>public long getBoundingBoxAnimationTime()</pre>
<div class="block">Get delay of selected item bounding box animation.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>delay in ms</dd>
</dl>
</li>
</ul>
<a name="setMaxViewAngle-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxViewAngle</h4>
<pre>public <a href="../../../../../com/here/android/mpa/ar/ARController.SelectedItemParams.html" title="class in com.here.android.mpa.ar">ARController.SelectedItemParams</a> setMaxViewAngle(float angleDeg)</pre>
<div class="block">Set selected item max view angle when the item is on the right or left from line of
 sight.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>angleDeg</code> - The view angle at the selected item. The range is: -angleDeg +angleDeg.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>SelectedItemParams</code> object itself.</dd>
</dl>
</li>
</ul>
<a name="getMaxViewAngle--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMaxViewAngle</h4>
<pre>public float getMaxViewAngle()</pre>
<div class="block">Get selected item max view angle when the item is on the right or left from line of
 sight.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The view angle at the selected item. The range is: -angleDeg +angleDeg.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ARController.SelectedItemParams.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/ARController.ProjectionType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/ar/ARController.SensorType.html" title="enum in com.here.android.mpa.ar"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/ar/ARController.SelectedItemParams.html" target="_top">Frames</a></li>
<li><a href="ARController.SelectedItemParams.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
